Package com.erwin.api.beans.scheduler

# Class SchedulerJob

java.lang.Object
com.erwin.api.beans.scheduler.SchedulerJob

public class SchedulerJob extends Object
This class provides some beans control methods related to Jobs, jobName, jobType, jobState, jobOptions and auditHistory etc...

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SchedulerJob()`
  `SchedulerJob(long objectId, String objectType, String jobName, APIConstants.JOBType jobType, Date scheduledDateTime, Date lastScheduledRunDateTime, Date nextScheduledRunDateTime, APIConstants.JOBInterval interval, boolean notify, String userId, String emailId, String ccList, JobOptions jobOptions, AuditHistory auditHistory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AuditHistory`
  `getAuditHistory()`
  `String`
  `getCcList()`
  `String`
  `getEmailId()`
  `APIConstants.JOBInterval`
  `getInterval()`
  `String`
  `getJobName()`
  `JobOptions`
  `getJobOptions()`
  `APIConstants.JOBState`
  `getJobState()`
  `APIConstants.JOBType`
  `getJobType()`
  `Date`
  `getLastScheduledRunDateTime()`
  `Date`
  `getNextScheduledRunDateTime()`
  `long`
  `getObjectId()`
  `String`
  `getObjectType()`
  `Date`
  `getScheduledDateTime()`
  `String`
  `getUserId()`
  `boolean`
  `isNotify()`
  `void`
  `setAuditHistory(AuditHistory auditHistory)`
  `void`
  `setCcList(String ccList)`
  `void`
  `setEmailId(String emailId)`
  `void`
  `setInterval(APIConstants.JOBInterval interval)`
  `void`
  `setJobName(String jobName)`
  `void`
  `setJobOptions(JobOptions jobOptions)`
  `void`
  `setJobState(APIConstants.JOBState jobState)`
  `void`
  `setJobType(APIConstants.JOBType jobType)`
  `void`
  `setLastScheduledRunDateTime(Date lastScheduledRunDateTime)`
  `void`
  `setNextScheduledRunDateTime(Date nextScheduledRunDateTime)`
  `void`
  `setNotify(boolean notify)`
  `void`
  `setObjectId(long objectId)`
  `void`
  `setObjectType(String objectType)`
  `void`
  `setScheduledDateTime(Date scheduledDateTime)`
  `void`
  `setUserId(String userId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SchedulerJob

    public SchedulerJob()

  - ### SchedulerJob

    public SchedulerJob(long objectId, String objectType, String jobName, APIConstants.JOBType jobType, Date scheduledDateTime, Date lastScheduledRunDateTime, Date nextScheduledRunDateTime, APIConstants.JOBInterval interval, boolean notify, String userId, String emailId, String ccList, JobOptions jobOptions, AuditHistory auditHistory)

- ## Method Details

  - ### getObjectId

    public long getObjectId()
    Returns:
      the objectId

  - ### setObjectId

    public void setObjectId(long objectId)
    Parameters:
      `objectId` - the objectId to set

  - ### getObjectType

    public String getObjectType()
    Returns:
      the objectType

  - ### setObjectType

    public void setObjectType(String objectType)
    Parameters:
      `objectType` - the objectType to set

  - ### getJobName

    public String getJobName()
    Returns:
      the jobName

  - ### setJobName

    public void setJobName(String jobName)
    Parameters:
      `jobName` - the jobName to set

  - ### getJobType

    public APIConstants.JOBType getJobType()
    Returns:
      the jobType

  - ### setJobType

    public void setJobType(APIConstants.JOBType jobType)
    Parameters:
      `jobType` - the jobType to set

  - ### getScheduledDateTime

    public Date getScheduledDateTime()
    Returns:
      the scheduledDateTime

  - ### setScheduledDateTime

    public void setScheduledDateTime(Date scheduledDateTime)
    Parameters:
      `scheduledDateTime` - the scheduledDateTime to set

  - ### getLastScheduledRunDateTime

    public Date getLastScheduledRunDateTime()
    Returns:
      the lastScheduledRunDateTime

  - ### setLastScheduledRunDateTime

    public void setLastScheduledRunDateTime(Date lastScheduledRunDateTime)
    Parameters:
      `lastScheduledRunDateTime` - the lastScheduledRunDateTime to set

  - ### getNextScheduledRunDateTime

    public Date getNextScheduledRunDateTime()
    Returns:
      the nextScheduledRunDateTime

  - ### setNextScheduledRunDateTime

    public void setNextScheduledRunDateTime(Date nextScheduledRunDateTime)
    Parameters:
      `nextScheduledRunDateTime` - the nextScheduledRunDateTime to set

  - ### getJobState

    public APIConstants.JOBState getJobState()
    Returns:
      the jobState

  - ### setJobState

    public void setJobState(APIConstants.JOBState jobState)
    Parameters:
      `jobState` - the jobState to set

  - ### getInterval

    public APIConstants.JOBInterval getInterval()
    Returns:
      the interval

  - ### setInterval

    public void setInterval(APIConstants.JOBInterval interval)
    Parameters:
      `interval` - the interval to set

  - ### isNotify

    public boolean isNotify()
    Returns:
      the notify

  - ### setNotify

    public void setNotify(boolean notify)
    Parameters:
      `notify` - the notify to set

  - ### getUserId

    public String getUserId()
    Returns:
      the userId

  - ### setUserId

    public void setUserId(String userId)
    Parameters:
      `userId` - the userId to set

  - ### getEmailId

    public String getEmailId()
    Returns:
      the emailId

  - ### setEmailId

    public void setEmailId(String emailId)
    Parameters:
      `emailId` - the emailId to set

  - ### getCcList

    public String getCcList()
    Returns:
      the ccList

  - ### setCcList

    public void setCcList(String ccList)
    Parameters:
      `ccList` - the ccList to set with , seperated email ids

  - ### getJobOptions

    public JobOptions getJobOptions()
    Returns:
      the jobOptions

  - ### setJobOptions

    public void setJobOptions(JobOptions jobOptions)
    Parameters:
      `jobOptions` - the jobOptions to set

  - ### getAuditHistory

    public AuditHistory getAuditHistory()
    Returns:
      the auditHistory

  - ### setAuditHistory

    public void setAuditHistory(AuditHistory auditHistory)
    Parameters:
      `auditHistory` - the auditHistory to set